package rocks.zipcode.quiz5.arrays;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * @author leon on 01/01/2019.
 */
public class ArrayUtils {
    public static String getMiddleElement(String[] values) {
        return values[values.length / 2];
    }

    public static String[] removeMiddleElement(String[] values) {
        List<String> list = new ArrayList<>(Arrays.asList(values));
        list.remove(getMiddleElement(values));

        return list.toArray(new String[0]);
    }

    public static String getLastElement(String[] values) {
        return values[values.length - 1];
    }

    public static String[] removeLastElement(String[] values) {
        return Arrays.copyOfRange(values, 0, values.length - 1);
    }
}