package rocks.zipcode.quiz5.collections;

import rocks.zipcode.quiz5.objectorientation.account.BankAccount;

import java.util.ArrayList;
import java.util.List;

/**
 * @author leon on 27/12/2018.
 */
public class Bank {

    private List<BankAccount> bankAccounts;

    public Bank() {
        this.bankAccounts = new ArrayList<>();
    }

    public BankAccount removeBankAccountByIndex(Integer indexNumber) {
        BankAccount bankAccount = bankAccounts.get(indexNumber);
        bankAccounts.remove(bankAccount);

        return bankAccount;
    }

    public void addBankAccount(BankAccount bankAccount) {
        bankAccounts.add(bankAccount);
    }

    public Boolean containsBankAccount(BankAccount bankAccount) {
        return bankAccounts.contains(bankAccount);
        // throw new UnsupportedOperationException("Method not yet implemented");
    }
}
